//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE----------------------------
package org.huihoo.god4j.actions;

import java.awt.event.ActionEvent;

import org.huihoo.god4j.GOD4JFactory;
import org.huihoo.god4j.JGraphFrame;
import org.huihoo.god4j.jgraph.XPDLJGraph;

/**
 * @author zosatapo
 *
 * To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Generation - Code and Comments
 */
public class ZoomOut  extends ActionBase
{

	public ZoomOut()
	{
		super();
		setEnabled(false);
	}

	public void actionPerformed(ActionEvent e)
	{
		JGraphFrame frame=GOD4JFactory.getGOD4J().getControlPanel().getSelectedJGraph();
		if(frame == null)
		{
			return;
		}
		
		XPDLJGraph graph=frame.getJGraph();
		graph.setScale(graph.getScale()*0.85);
	}
}
